Subject: Re: [PATCH v2 net-next 1/7] net: phy: realtek: configure SerDes mode for rtl822x/8251b PHYs

From: "Russell King (Oracle)" <[email-masked]>
Date: Mon, 4 Mar 2024 00:04:03 +0000

On Sun, Mar 03, 2024 at 09:08:15PM +0000, Daniel Golle wrote:
> On Sun, Mar 03, 2024 at 09:42:31PM +0100, Heiner Kallweit wrote:
> > Did you test this (and the rest of the series) on RTL8125A, where
> > MMD register access for the integrated 2.5G PHY isn't supported?
> 
> None of this should be done on RealTek NICs, and the easiest way to
> prevent that is to test if phydev->phylink is NULL or not (as the NIC
> driver doesn't use phylink but rather just calls phy_connect_direct()).

Ewwwwwwwwwwwwwwwww. Please do not use the presence of phydev->phylink to
change driver behaviour. That's just... disgusting.

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 80Mbps down 10Mbps up. Decent connectivity at last!